Cyberduck Mountain Duck CLI

#3904 closed defect (worksforme)

Unable to load library 'rococoa'

Reported by: jeff@… Owned by: dkocher
Priority: normal Milestone:
Component: core Version: 3.6.1
Severity: normal Keywords:
Cc: cognitive.evolution@… Architecture: Intel
Platform: Mac OS X 10.5

Description

If I keep the Cyberduck app anywhere else but inside the applications folder it will launch.

Change History (11)

comment:1 Changed on Nov 14, 2009 at 11:18:36 PM by dkocher

A previous reporter posted the following stacktrace from the system.log.

01.11.09 13:07:43	[0x0-0xd30d3].ch.sudo.cyberduck[1246]	[JavaAppLauncher Warning] Java application launched from PPC stub. Relaunching in 32-bit, and tagging sub-processes to prefer 32-bit with $JAVA_ARCH=i386.
01.11.09 13:07:43	[0x0-0xd30d3].ch.sudo.cyberduck[1246]	[LaunchRunner Error] ch.cyberduck.ui.cocoa.CDMainApplication.main(String[]) threw an exception:
01.11.09 13:07:43	[0x0-0xd30d3].ch.sudo.cyberduck[1246]	java.lang.UnsatisfiedLinkError: Unable to load library 'rococoa': dlopen(librococoa.dylib, 9): Library not loaded: @executable_path/../Frameworks/Sparkle.framework/Versions/A/Sparkle
01.11.09 13:07:43	[0x0-0xd30d3].ch.sudo.cyberduck[1246]	  Referenced from: /Applications/Cyberduck.app/Contents/Resources/Java/librococoa.dylib
01.11.09 13:07:43	[0x0-0xd30d3].ch.sudo.cyberduck[1246]	  Reason: image not found
01.11.09 13:07:43	[0x0-0xd30d3].ch.sudo.cyberduck[1246]		at com.sun.jna.NativeLibrary.loadLibrary(NativeLibrary.java:164)
01.11.09 13:07:43	[0x0-0xd30d3].ch.sudo.cyberduck[1246]		at com.sun.jna.NativeLibrary.getInstance(NativeLibrary.java:237)
01.11.09 13:07:43	[0x0-0xd30d3].ch.sudo.cyberduck[1246]		at com.sun.jna.Library$Handler.<init>(Library.java:140)
01.11.09 13:07:43	[0x0-0xd30d3].ch.sudo.cyberduck[1246]		at com.sun.jna.Native.loadLibrary(Native.java:372)
01.11.09 13:07:43	[0x0-0xd30d3].ch.sudo.cyberduck[1246]		at com.sun.jna.Native.loadLibrary(Native.java:357)
01.11.09 13:07:43	[0x0-0xd30d3].ch.sudo.cyberduck[1246]		at org.rococoa.Foundation.<clinit>(Foundation.java:76)
01.11.09 13:07:43	[0x0-0xd30d3].ch.sudo.cyberduck[1246]		at org.rococoa.Rococoa.create(Rococoa.java:59)
01.11.09 13:07:43	[0x0-0xd30d3].ch.sudo.cyberduck[1246]		at org.rococoa.Rococoa.create(Rococoa.java:75)
01.11.09 13:07:43	[0x0-0xd30d3].ch.sudo.cyberduck[1246]		at ch.cyberduck.ui.cocoa.foundation.NSAutoreleasePool.push(NSAutoreleasePool.java:14)
01.11.09 13:07:43	[0x0-0xd30d3].ch.sudo.cyberduck[1246]		at ch.cyberduck.ui.cocoa.CDMainApplication.main(CDMainApplication.java:47)
01.11.09 13:07:43	[0x0-0xd30d3].ch.sudo.cyberduck[1246]		at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
01.11.09 13:07:43	[0x0-0xd30d3].ch.sudo.cyberduck[1246]		at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
01.11.09 13:07:43	[0x0-0xd30d3].ch.sudo.cyberduck[1246]		at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
01.11.09 13:07:43	[0x0-0xd30d3].ch.sudo.cyberduck[1246]		at java.lang.reflect.Method.invoke(Method.java:597)
01.11.09 13:07:43	[0x0-0xd30d3].ch.sudo.cyberduck[1246]		at apple.launcher.LaunchRunner.run(LaunchRunner.java:115)
01.11.09 13:07:43	[0x0-0xd30d3].ch.sudo.cyberduck[1246]		at apple.launcher.LaunchRunner.callMain(LaunchRunner.java:50)
01.11.09 13:07:43	[0x0-0xd30d3].ch.sudo.cyberduck[1246]		at apple.launcher.JavaApplicationLauncher.launch(JavaApplicationLauncher.java:52)

comment:2 Changed on Nov 14, 2009 at 11:19:04 PM by dkocher

Can you find any similar related output in the system.log (/Applications/Utilities/Console.app)?

comment:3 Changed on Nov 15, 2009 at 10:54:54 AM by dkocher

Cyberduck will launch if the app is located anywhere else. For now I keep it on the desktop.

comment:4 Changed on Nov 27, 2009 at 10:05:36 AM by dkocher

  • Summary changed from Will not launch from application folder 10.6.2 to Unable to load library 'rococoa'

comment:5 Changed on Jun 22, 2010 at 10:54:09 AM by Richard Fairhurst

  • Architecture set to Intel
  • Platform set to Mac OS X 10.6
  • Version changed from 3.3 to 3.5

Same problem for me using Cyberduck 3.5.1 (10.5.8, 2.5GHz Core 2 Duo MBP). Moving it outside the Applications folder doesn't help. Console log as follows:

22/06/2010 11:47:01 [0x0-0x57057].ch.sudo.cyberduck[915] [JavaAppLauncher] A 64-bit JVM is available for 1.6.0 
22/06/2010 11:47:01 [0x0-0x57057].ch.sudo.cyberduck[915] [JavaAppLauncher] and it is the only version available 
22/06/2010 11:47:01 [0x0-0x57057].ch.sudo.cyberduck[915] [JavaAppLauncher] JVMArchs not found in Java dictionary 
22/06/2010 11:47:02 [0x0-0x57057].ch.sudo.cyberduck[915] [LaunchRunner Error] ch.cyberduck.ui.cocoa.MainApplication.main(String[]) threw an exception: 
22/06/2010 11:47:02 [0x0-0x57057].ch.sudo.cyberduck[915] java.lang.UnsatisfiedLinkError: Unable to load library 'rococoa': dlopen(librococoa.dylib, 9): Library not loaded: @executable_path/../Frameworks/Sparkle.framework/Versions/A/Sparkle 
22/06/2010 11:47:02 [0x0-0x57057].ch.sudo.cyberduck[915]   Referenced from: /Users/richardfairhurst/Web/Cyberduck.app/Contents/Resources/Java/librococoa.dylib 
22/06/2010 11:47:02 [0x0-0x57057].ch.sudo.cyberduck[915]   Reason: image not found 
22/06/2010 11:47:02 [0x0-0x57057].ch.sudo.cyberduck[915]  at com.sun.jna.NativeLibrary.loadLibrary(NativeLibrary.java:164) 
22/06/2010 11:47:02 [0x0-0x57057].ch.sudo.cyberduck[915]  at com.sun.jna.NativeLibrary.getInstance(NativeLibrary.java:237) 
22/06/2010 11:47:02 [0x0-0x57057].ch.sudo.cyberduck[915]  at com.sun.jna.Library$Handler.<init>(Library.java:140) 
22/06/2010 11:47:02 [0x0-0x57057].ch.sudo.cyberduck[915]  at com.sun.jna.Native.loadLibrary(Native.java:372) 
22/06/2010 11:47:02 [0x0-0x57057].ch.sudo.cyberduck[915]  at com.sun.jna.Native.loadLibrary(Native.java:357) 
22/06/2010 11:47:02 [0x0-0x57057].ch.sudo.cyberduck[915]  at org.rococoa.Foundation.<clinit>(Foundation.java:76) 
22/06/2010 11:47:02 [0x0-0x57057].ch.sudo.cyberduck[915]  at org.rococoa.Rococoa.createClass(Rococoa.java:49) 
22/06/2010 11:47:02 [0x0-0x57057].ch.sudo.cyberduck[915]  at org.rococoa.cocoa.foundation.NSObject.<clinit>(NSObject.java:28) 
22/06/2010 11:47:02 [0x0-0x57057].ch.sudo.cyberduck[915]  at ch.cyberduck.ui.cocoa.MainApplication.main(MainApplication.java:48) 
22/06/2010 11:47:02 [0x0-0x57057].ch.sudo.cyberduck[915]  at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) 
22/06/2010 11:47:02 [0x0-0x57057].ch.sudo.cyberduck[915]  at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39) 
22/06/2010 11:47:02 [0x0-0x57057].ch.sudo.cyberduck[915]  at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) 
22/06/2010 11:47:02 [0x0-0x57057].ch.sudo.cyberduck[915]  at java.lang.reflect.Method.invoke(Method.java:597) 
22/06/2010 11:47:02 [0x0-0x57057].ch.sudo.cyberduck[915]  at apple.launcher.LaunchRunner.run(LaunchRunner.java:115) 
22/06/2010 11:47:02 [0x0-0x57057].ch.sudo.cyberduck[915]  at apple.launcher.LaunchRunner.callMain(LaunchRunner.java:50) 
22/06/2010 11:47:02 [0x0-0x57057].ch.sudo.cyberduck[915]  at apple.launcher.JavaApplicationLauncher.launch(JavaApplicationLauncher.java:52) 

Quick Google suggests that http://stackoverflow.com/questions/1670859/wrapping-an-existing-application-with-jni may possibly have some relevant suggestions on fixing it.

comment:6 Changed on Jun 22, 2010 at 10:54:23 AM by Richard Fairhurst

  • Platform changed from Mac OS X 10.6 to Mac OS X 10.5

comment:7 Changed on Jul 28, 2010 at 9:41:12 AM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

Please check the folders /Library/Java/Extensions and ~/Library/Java/Extensions for thirdparty libraries installed.

comment:8 Changed on Sep 8, 2010 at 6:13:17 PM by https://www.google.com/accounts/o8/id?id=aitoawl6-vexwumbvsutqgr0sdj9duv-c6cz9hw

  • Cc cognitive.evolution@… added
  • Resolution worksforme deleted
  • Status changed from closed to reopened
  • Version changed from 3.5 to 3.6.1

I suddenly have this problem after updating through the built-in menu today. I have no files in either Java/Extensions folder and it does not work even if I move Cyberduck to the Desktop.

From system.log:

[0x0-0x4c74c7].ch.sudo.cyberduck[6636]: [LaunchRunner Error] ch.cyberduck.ui.cocoa.MainApplication.main(String[]) threw an exception:
[0x0-0x4c74c7].ch.sudo.cyberduck[6636]: java.lang.UnsatisfiedLinkError: Unable to load library 'rococoa': dlopen(librococoa.dylib, 9): Library not loaded: @executable_path/../Frameworks/Sparkle.framework/Versions/A/Sparkle
[0x0-0x4c74c7].ch.sudo.cyberduck[6636]:   Referenced from: /Applications/Cyberduck.app/Contents/Resources/Java/librococoa.dylib
[0x0-0x4c74c7].ch.sudo.cyberduck[6636]:   Reason: image not found
[0x0-0x4c74c7].ch.sudo.cyberduck[6636]: 	at com.sun.jna.NativeLibrary.loadLibrary(NativeLibrary.java:163)
[0x0-0x4c74c7].ch.sudo.cyberduck[6636]: 	at com.sun.jna.NativeLibrary.getInstance(NativeLibrary.java:236)
[0x0-0x4c74c7].ch.sudo.cyberduck[6636]: 	at com.sun.jna.Library$Handler.<init>(Library.java:140)
[0x0-0x4c74c7].ch.sudo.cyberduck[6636]: 	at com.sun.jna.Native.loadLibrary(Native.java:379)
[0x0-0x4c74c7].ch.sudo.cyberduck[6636]: 	at com.sun.jna.Native.loadLibrary(Native.java:364)
[0x0-0x4c74c7].ch.sudo.cyberduck[6636]: 	at org.rococoa.Foundation.<clinit>(Foundation.java:76)
[0x0-0x4c74c7].ch.sudo.cyberduck[6636]: 	at org.rococoa.Rococoa.createClass(Rococoa.java:49)
[0x0-0x4c74c7].ch.sudo.cyberduck[6636]: 	at org.rococoa.cocoa.foundation.NSObject.<clinit>(NSObject.java:28)
[0x0-0x4c74c7].ch.sudo.cyberduck[6636]: 	at ch.cyberduck.ui.cocoa.MainApplication.main(MainApplication.java:47)
[0x0-0x4c74c7].ch.sudo.cyberduck[6636]: 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
[0x0-0x4c74c7].ch.sudo.cyberduck[6636]: 	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
[0x0-0x4c74c7].ch.sudo.cyberduck[6636]: 	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
[0x0-0x4c74c7].ch.sudo.cyberduck[6636]: 	at java.lang.reflect.Method.invoke(Method.java:597)
[0x0-0x4c74c7].ch.sudo.cyberduck[6636]: 	at apple.launcher.LaunchRunner.run(LaunchRunner.java:115)
[0x0-0x4c74c7].ch.sudo.cyberduck[6636]: 	at apple.launcher.LaunchRunner.callMain(LaunchRunner.java:50)
[0x0-0x4c74c7].ch.sudo.cyberduck[6636]: 	at apple.launcher.JavaApplicationLauncher.launch(JavaApplicationLauncher.java:52)

comment:9 follow-up: Changed on Oct 22, 2010 at 3:41:43 PM by richard fairhurst

Just fixed this by changing the Java Application Runtime Settings in Java Preferences.

I previously had J2SE 5.0, J2SE 5.0 (64-bit), Java SE 6 (64-bit), J2SE 1.4.2, in that order. I have now swapped the first two around so that the 64-bit version is first, and therefore preferred. Cyberduck will now launch ok.

comment:10 in reply to: ↑ 9 Changed on Oct 24, 2010 at 5:25:24 PM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed

Replying to richard fairhurst:

Just fixed this by changing the Java Application Runtime Settings in Java Preferences.

I previously had J2SE 5.0, J2SE 5.0 (64-bit), Java SE 6 (64-bit), J2SE 1.4.2, in that order. I have now swapped the first two around so that the 64-bit version is first, and therefore preferred. Cyberduck will now launch ok.

We ship the native library of Rococoa as a universal binary.

librococoa.dylib: Mach-O universal binary with 3 architectures
librococoa.dylib (for architecture ppc7400):	Mach-O dynamically linked shared library ppc
librococoa.dylib (for architecture i386):	Mach-O dynamically linked shared library i386
librococoa.dylib (for architecture x86_64):	Mach-O 64-bit dynamically linked shared library x86_64

I don't see a reason why it should not load with J2SE 5.0 or J2SE 5.0 (64-bit). Is this a unsupported configuration by Apple (i.e. custom build Java runtime?) I don't know of a 64bit J2SE 5.0 release.

comment:11 Changed on Nov 1, 2010 at 3:23:26 PM by richard fairhurst

As far as I know it's not a custom build - I've not knowingly installed one. JavaVM framework appears to be 12.1.0 if that helps. I haven't installed the Java for Mac OS X 10.5 Update 5.

Note: See TracTickets for help on using tickets.
swiss made software